Gestiono
Referencia de APIAccounting / Beneficiary

Update Beneficiary contact

PATCH /v1/beneficiary/contact • validated by `updateContact`

← Back to full API reference
PATCH/v1/beneficiary/contactAuthentication required
  • Validated by Zod schema: updateContact.

Request details

Path params

No path parameters for this endpoint.

Query params

No explicit query schema was captured for this endpoint.

Body fields

  • beneficiaryId (required)

    Type: number

  • id (required)

    Type: number

  • type (required)

    Type: string

  • dataType

    Type: enum

    Example: string

  • data (required)

    Type: string

Default payloads

Path params

json
{}

Query

json
{}

Body

json
{
  "beneficiaryId": 1,
  "id": 1,
  "type": "string",
  "data": "string"
}

Sample response

json
{
  "contactId": "<contactId>"
}

Test this endpoint now

Use your own credentials and execute a live request directly from this page.

1. Configure authentication for testing

You can test endpoints with signed API keys, a raw Authorization token, or browser cookies. Select one mode and fill in the required fields.

2. Select endpoint

PATCH/v1/beneficiary/contactAuthentication required

Group: Accounting / Beneficiary

PATCH /v1/beneficiary/contact • validated by `updateContact`

  • Validated by Zod schema: updateContact.

Body fields

  • beneficiaryIdrequired
    Type: number
  • idrequired
    Type: number
  • typerequired
    Type: string
  • dataType
    Type: enum
    Ejemplo: string
  • datarequired
    Type: string

3. Prepare request payload

4. Server response

Run a request to inspect the real-time response for your environment.